/******************************************************************************
 * JibsRandom.java - Random numbers 1-6
 * $Id: JibsRandom.java,v 1.2 2011/05/30 05:29:21 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsRandom.java,v $
 * Revision 1.2  2011/05/30 05:29:21  dick
 * retab.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.backgammon;

import java.util.Random;

/** Generate pseudo-random numbers
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/30 05:29:21 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sf/jibs/backgammon/JibsRandom.java">cvs JibsRandom.java</a>
 */
public class JibsRandom extends Random {
	private static final long serialVersionUID = 3144806616075414762L;
	private int count;
	private int[] history;

	public JibsRandom() {
		super();
		count = 0;
		history = new int[6];
		history[0] = history[1] = history[2] = history[3] = history[4] = history[5] = 0;
	}

	public int nextInt(int n) {
		int value = super.nextInt(n);

		if ((value >= 0) && (value < 6)) {
			count++;
			history[value]++;
		}

		return value;
	}
}
