/******************************************************************************
 * Set_Command - Client sets an attribute.
 * $Id: Set_Command.java,v 1.4 2011/06/07 20:22:03 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Set_Command.java,v $
 * Revision 1.4  2011/06/07 20:22:03  dick
 * Echo the settings if there are no parameters.
 *
 * Revision 1.3  2011/06/06 03:18:26  dick
 * JibsMessages belongs in n.s.jibs.server, not n.s.jibs.gui
 *
 * Revision 1.2  2011/05/31 13:02:42  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsMessages;
import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;
import net.sourceforge.jibs.util.JibsSet;

/** Client sets an attribute.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @since 2005/03/30
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/07 20:22:03 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Set_Command.java">cvs Set_Command.java</a>
 */
public class Set_Command implements JibsCommand {
	/*
	 * (non-Javadoc)
	 *
	 * @see command.JibsCommand#execute(server.JibsServer, server.Player,
	 *      java.lang.String, java.lang.String[])
	 */
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		JibsMessages jibsMessages = jibsServer.getJibsMessages();
		JibsSet jibsSet = player.getJibsSet();
		if (args.length == 1) {
			player.println("Settings of variables:");
			player.println("boardstyle: " + player.getBoardStyle());
			player.println("linelength: " + player.getLineLength());
			player.println("pagelength: " + player.getPageLength());
			player.println("redoubles:  " + player.getRedoubles());
			player.println("sortwho:    " + player.getSortwho());
			player.println("timezone:   " + player.getTimezone());
			return(true);
		}
		// m_you_set=Value of '%0' set to %1.
		Object[] obj = { args[1], args[2] };
		String msg = jibsMessages.convert("m_you_set", obj);

		player.println(msg);
		jibsSet.getSetMap().put(args[1], args[2]);

		return true;
	}
}
